/***************************************************************************
                               cansiparser.h
                             -------------------
    begin                : Tue Apr 30 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CANSIPARSER_H
#define CANSIPARSER_H


/**Parser for ANSI command codes
  *@author Kmud Developer Team
  */

// Qt includes
#include <qstring.h>

// forward declarations
class CANSIInterpreter;

class CANSIParser {
public:
	CANSIParser();
	~CANSIParser();

	void setInterpreter(CANSIInterpreter* inter) {
		m_interpreter = inter;
	}

	CANSIInterpreter* interpreter() const { return m_interpreter; }

	void reset() {m_buffer = QString::null; }

	void parse(const QString& input);

protected:
	QString m_buffer;
	CANSIInterpreter* m_interpreter;

	void parseANSI(const QString& input);
	void parseText(const QString& input);

	void parseGraphicsMode(const QString& input);
};

#endif
