/***************************************************************************
                               connectiontime.h
                             -------------------
    begin                : Mon Dec 10 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONNECTIONTIME_H
#define CONNECTIONTIME_H

// Qt includes
#include <qobject.h>

// Forward class declarations
class QTimer;
class QString;

/**Provides a Time object similar to QTime to mesure the elaps time of a connection.

  *@author Kmud Developer Team
  */

class ConnectionTime : public QObject {
	Q_OBJECT
public: 
	ConnectionTime(QObject* parent = 0);
	~ConnectionTime();
	
	/**
	* This will start the timer at 0:0:0.
	*/
	void start();
	/**
	* This will stop the timer.
	*/
	void stop();

	uint hour() {return m_hour;}
	uint minute() {return m_minute;}
	uint second() {return m_second;}
	
	/**
	* Returns the time in seconds since start().
	*/
	uint elapsed();
	
	/**
	* Returns the elapsed time in format HH:MM:SS.
	* If more than 99 hours have elapsed (not very likely)
	* this will expand to HHH:MM:SS and so on.
	*/
	QString toString();
	
signals:
	void tick();
	
protected:
	char m_second;
	char m_minute;
	uint m_hour;

	QTimer* m_timer;
	
protected slots:
	void slotTimeOut();
};

#endif
