/***************************************************************************
                               dlgglobalsettings.cpp
                             -------------------
    begin                : Wed Nov 13 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgglobalsettings.h"

#include <kmudpart.h>
#include <kmudsetuppane.h>

#include "../kmudcore.h"

#include "dlgoptionfonts.h"
#include "dlgoptioncolors.h"
#include "dlgoptionecho.h"
#include "dlgoptionhistory.h"
#include "dlgoptioninput.h"
#include "dlgoptiontiming.h"

#include <kmuddebug.h>

DlgGlobalSettings::DlgGlobalSettings(KmudCore *core,QWidget *parent ) : DlgConfig(core,"Global Settings Dialog",parent)
{
	populateListView();
}

DlgGlobalSettings::~DlgGlobalSettings()
{
}

void DlgGlobalSettings::addPluginPanes()
{
	QPtrList<KmudPart> *parts = m_core->getPartsList();

	for (KmudPart *part = parts->first(); part!=0; part = parts->next())
	{
		QPtrList<KmudSetupPane> panes = part->createGlobalConfigPanes(m_widgets);
		
		for (KmudSetupPane *pane = panes.first();pane!=0; pane = panes.next())
		{
			addPane(pane);
		}
	}
}


void DlgGlobalSettings::addKmudPanes()
{
	addPane(new DlgOptionColors(m_core->configCache(),"Main Window",this,"Colors"));
	addPane(new DlgOptionFonts(m_core->configCache(),"Main Window",this,"Fonts"));
	addPane(new DlgOptionEcho(m_core->configCache(),"Main Window",this,"Echo"));
	addPane(new DlgOptionHistory(m_core->configCache(),"Main Window",this,"History"));
	addPane(new DlgOptionInput(m_core->configCache(),"Main Window",this,"Input"));
	addPane(new DlgOptionTiming(m_core->configCache(),"Main Window",this,"Timing"));
}

