/***************************************************************************
                               dlgoptioninput.cpp
                             -------------------
    begin                : Fri Aug 2 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgoptioninput.h"

#include "dlgoptioninputbase.h"

#include <qcheckbox.h>
#include <qlineedit.h>

#include "../kmudconfigcache.h"


DlgOptionInput::DlgOptionInput(KmudConfigCache *data,QString group,QWidget *parent, const char *name)  : KmudSetupPane(KmudSetupPane::GLOBAL,group,parent,name)
{
	m_data = data;
	addBaseDialog(new DlgOptionInputBase(this,name));

	DlgOptionInputBase *baseDlg = static_cast<DlgOptionInputBase*>(getBaseDialog());
	baseDlg->m_optKeepInput->setChecked(m_data->keepLastInput);
	baseDlg->m_optDualInput->setChecked(m_data->dualInput);
	baseDlg->m_optSelectInput->setChecked(m_data->selectLastInput);
	baseDlg->m_txtQuoter->setText(m_data->charCmdQuoter);
	baseDlg->m_txtSeperator->setText(m_data->charCmdSeperator);
	baseDlg->m_txtSpeedwalking->setText(m_data->charSpeedwalking);
}

DlgOptionInput::~DlgOptionInput()
{
}

/** This slot is called when the delfault/reset button is pressed */
void DlgOptionInput::slotDefaultPressed()
{
	DlgOptionInputBase *baseDlg = static_cast<DlgOptionInputBase*>(getBaseDialog());

	baseDlg->m_optKeepInput->setChecked(false);
	baseDlg->m_optDualInput->setChecked(false);
	baseDlg->m_optSelectInput->setChecked(false);
	baseDlg->m_txtQuoter->setText("#");
	baseDlg->m_txtSeperator->setText(";");
	baseDlg->m_txtSpeedwalking->setText(".");
}

/** This slot is called when the cancel button is pressed */
void DlgOptionInput::slotCancelPressed()
{
}

/** This slot is called when the OK button is pressed */
void DlgOptionInput::slotOkPressed()
{
	DlgOptionInputBase *baseDlg = static_cast<DlgOptionInputBase*>(getBaseDialog());
  
	m_data->keepLastInput = baseDlg->m_optKeepInput->isChecked() ;
	m_data->dualInput = baseDlg->m_optDualInput->isChecked();
	m_data->selectLastInput = baseDlg->m_optSelectInput->isChecked();
	m_data->charCmdQuoter = baseDlg->m_txtQuoter->text();
	m_data->charCmdSeperator = baseDlg->m_txtSeperator->text();
	m_data->charSpeedwalking = baseDlg->m_txtSpeedwalking->text();

}
