/***************************************************************************
                          dlgreconnect.h  -  description
                             -------------------
    begin                : Fri Mar 9 2001
    copyright            : (C) 2001 by KMud Development Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGRECONNECT_H
#define DLGRECONNECT_H

#include <qwidget.h>
#include <qtimer.h>

#include "dlgreconnectbase.h"

/**This dialog is used to reconnect to the mud
  *@author KMud Development Team
  */

class DlgReconnect : public DlgReconnectBase
{
   Q_OBJECT
public: 
	DlgReconnect(QWidget *parent=0, const char *name=0);
	~DlgReconnect();

public:
	/** This method is used to set the start time of the timer */
	void setAutoTime(unsigned int t);

protected slots:
	/** This slot is called when the reconnect button is pressed */
	void slotReconnectPressed();
	/** This slot is called when the cancel button is pressed */
	void slotClosePressed();
	/** This slot is called when the wizard button is pressed */
	void slotWizzardPressed();
	/** This slot is called when the quick connect button is pressed */
	void slotQuickPressed();
	/** This slot is called to up date the seconds count on the dialog */
	void slotTimerDone();
	

private:
	QTimer *timer;
	unsigned int seconds;

};

#endif
