/***************************************************************************
                               kmudconfigcache.h
                             -------------------
    begin                : Tue Jul 30 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMUDCONFIGCACHE_H
#define KMUDCONFIGCACHE_H

// forward declarations
class KConfig;
class QFont;
class QColor;
class QString;

/**
  *@author Kmud Developer Team
  */

class KmudConfigCache
{
public:
	KmudConfigCache();
	~KmudConfigCache();

	void save();
	void load();

public:
	enum EchoState { On=0, Off=1, Auto=2 };

	QFont outputFont;
	QFont inputFont;

	QColor defaultTextColor;
	QColor defaultBackgroundColor;
	QColor localEchoColor;
	QColor debugHighlight;

	// Background Colors
	QColor backgroundAnsiBlack;
	QColor backgroundAnsiBlue;
	QColor backgroundAnsiRed;
	QColor backgroundAnsiMagenta;
	QColor backgroundAnsiGreen;
	QColor backgroundAnsiCyan;
	QColor backgroundAnsiYellow;
	QColor backgroundAnsiWhite;

	// Foreground Colors
	QColor foregroundAnsiBlack;
	QColor foregroundAnsiGray;
	QColor foregroundAnsiDarkRed;
	QColor foregroundAnsiLightRed;
	QColor foregroundAnsiDarkGreen;
	QColor foregroundAnsiLightGreen;
	QColor foregroundAnsiDarkYellow;
	QColor foregroundAnsiLightYellow;
	QColor foregroundAnsiDarkBlue;
	QColor foregroundAnsiLightBlue;
	QColor foregroundAnsiDarkMagenta;
	QColor foregroundAnsiLightMagenta;
	QColor foregroundAnsiDarkCyan;
	QColor foregroundAnsiLightCyan;
	QColor foregroundAnsiDarkWhite;
	QColor foregroundAnsiLightWhite;

	// Echo Settings
	EchoState localEcho;
	EchoState inputEcho;
	bool suppressNewLine;

	// Timing Settings
	bool autoReconnect;
	int autoReconnectSeconds;
	bool outputNotificationOn;
	int outputNotifyWaitSeconds;
	int connectionTimeoutSeconds;

	// Input line settings
	bool keepLastInput;
	bool selectLastInput;
	bool dualInput;

	// Special Characters
	QString charCmdSeperator;
	QString charCmdQuoter;
	QString charSpeedwalking;

private:
	void readOptions(KConfig *config);
	void writeOptions(KConfig *config);
};

#endif
