/***************************************************************************
                               cmappluginfactory.h
                             -------------------
    begin                : Fri Aug 3 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMAPPLUGINFACTORY_H
#define CMAPPLUGINFACTORY_H

#include <klibloader.h>

class CMapPluginBase;
class CMapManager;


/**Custom Factory to provide a special create thod
  *@author Kmud Developer Team
  */

class CMapPluginFactory : public KLibFactory  {
Q_OBJECT
public: 
	CMapPluginFactory(QObject* parent, const char* name);
	virtual ~CMapPluginFactory();

	/** Creates an instance of Mapper tool */
	CMapPluginBase* createPlugin(CMapManager* manager, QObject* parent);

protected: // Protected methods
  /** Does the actual creattion. Is called by the public method createTool.
	Has to be implemented in its subclasses. */
	virtual CMapPluginBase* createPluginInstance(CMapManager* manager, QObject* parent) = 0;

private:
	virtual QObject* createObject(QObject* parent=0, const char* name=0, const char* classname="QObject", const QStringList &args=QStringList() );

};

#endif
