/***************************************************************************
                               cmaptoolbase.cpp
                             -------------------
    begin                : Tue May 1 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cmaptoolbase.h"

#include "cmapmanager.h"

#include <kstddirs.h>
#include <kmuddebug.h>
#include <kaction.h>

/** The construtor for the tool */
CMapToolBase::CMapToolBase(KActionCollection *actionCollection,QString description,QIconSet icon,CMapManager *manager,QString actionName,QObject *parent, const char *name )
	: QObject (parent,name)
{
	
	mapManager = manager;
	action = new KRadioAction(description,icon,0,(QObject *)this,SLOT(slotActionSelected()),(QObject *)actionCollection,actionName);
	action->setExclusiveGroup("mappertools-radiogroup");
}

CMapToolBase::~CMapToolBase()
{
}

/** Used to tell the tool were to find the map manager */
void CMapToolBase::setManager(CMapManager *manager)
{
	mapManager = manager;
}

/** Used to set the checked state of the tool */
void CMapToolBase::setChecked(bool checked)
{
	action->setChecked(checked);
}

/** This is called when the tool button is clicked */
void CMapToolBase::slotActionSelected()
{
	if (action->isChecked())
	{
		emit actionSelected(this);
		mapManager->setCurrentTool(this);
	}
}

/** Used to set the whats this text for the tool */
void CMapToolBase::setWhatsThis(QString text)
{
	action->setWhatsThis(text);
}

/** Used to set the toop tip of the tool */
void CMapToolBase::setToolTip(QString tip)
{
	action->setToolTip(tip);
}

void CMapToolBase::plug (QWidget *w, int index)
{
	action->plug(w,index);
}