/***************************************************************************
                               dlgmapspeedwalk.cpp
                             -------------------
    begin                : Tue Jul 9 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgmapspeedwalk.h"

#include "dlgmapspeedwalkbase.h"

#include "../cmapmanager.h"

#include <knuminput.h>

#include <qcheckbox.h>

#include <kmuddebug.h>

DlgMapSpeedwalk::DlgMapSpeedwalk(CMapManager *mapManager,QString group,QWidget *parent, const char *name) : KmudSetupPane(KmudSetupPane::GLOBAL,group,parent,name)
{
	m_mapManager = mapManager;
	addBaseDialog(new DlgMapSpeedwalkBase(this,name));

	DlgMapSpeedwalkBase *baseDlg = (DlgMapSpeedwalkBase *)getBaseDialog();
	baseDlg->chkLimitSpeedwalk->setChecked(m_mapManager->getMapData()->speedwalkAbortActive);
	baseDlg->txtAbortCount->setValue(m_mapManager->getMapData()->speedwalkAbortLimit);
	baseDlg->txtDelay->setValue(m_mapManager->getMapData()->speedwalkDelay);
}

DlgMapSpeedwalk::~DlgMapSpeedwalk()
{
}

/** This slot is called when the delfault/reset button is pressed */
void DlgMapSpeedwalk::slotDefaultPressed()
{
	DlgMapSpeedwalkBase *baseDlg = (DlgMapSpeedwalkBase *)getBaseDialog();
	baseDlg->chkLimitSpeedwalk->setChecked(true);
	baseDlg->txtAbortCount->setValue(100);
	baseDlg->txtDelay->setValue(0);
}

/** This slot is called when the cancel button is pressed */
void DlgMapSpeedwalk::slotCancelPressed()
{

	
}

/** This slot is called when the OK button is pressed */
void DlgMapSpeedwalk::slotOkPressed()
{
	DlgMapSpeedwalkBase *baseDlg = (DlgMapSpeedwalkBase *)getBaseDialog();

	m_mapManager->getMapData()->speedwalkAbortActive = baseDlg->chkLimitSpeedwalk->isChecked();
	m_mapManager->getMapData()->speedwalkAbortLimit = baseDlg->txtAbortCount->value();
	m_mapManager->getMapData()->speedwalkDelay = baseDlg->txtDelay->value();
}
