/***************************************************************************
                               cmapviewmovetrackermanager.h
                             -------------------
    begin                : Tue Aug 7 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMAPVIEWMOVETRACKERMANAGER_H
#define CMAPVIEWMOVETRACKERMANAGER_H

#include <klocale.h>

#include <qwidget.h>

#include "../../cmapviewmanagerbase.h"

class CMapViewMoveTracker;
class CMapManager;

/**This is the manager class for the overview map view
  *@author Kmud Developer Team
  */

class CMapViewMoveTrackerManager : public CMapViewManagerBase
{
   Q_OBJECT
public: 
	CMapViewMoveTrackerManager(KActionCollection *actionCollection,CMapManager *manager,QObject *parent=0, const char *name=0);
	~CMapViewMoveTrackerManager();

protected slots:
	/** This is called when the view is to be opended */
	virtual void slotRequestNewView();
	/** This slot is called when the view is closed */
	virtual void slotViewClosed(CMapViewBase *view);
	/** This is called when a new view is opened */
	virtual void slotNewViewOpened(CMapViewBase *view);

private:
	/** A pointer to the overview is stored so that this manager class can
	  * tell if the overview is already open. If this is NULL then it is closed */
	CMapViewMoveTracker *m_viewMoveTracker;
	/** A pointer to the map manager */
	CMapManager *m_mapManager;
};

#endif
